GCLOUD_COMPUTE_SNAPSHOTS_UPDATE(1)

NAME

gcloud compute snapshots update - update a Google Compute Engine snapshot

SYNOPSIS

gcloud compute snapshots update SNAPSHOT_NAME [--remove-labels=[KEY,...]] [--update-labels=[KEY=VALUE,...]] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute snapshots update updates labels for a Google Compute snapshot. For example:
    $ gcloud compute snapshots update example-snapshot \
      --update-labels=k0=value1,k1=value2 --remove-labels=k3
will add/update labels k0 and k1 and remove labels with key k3. Labels can be used to identify the snapshot and to filter them as in
    $ gcloud compute snapshots list --filter='labels.k1:value2'
To list existing labels
    $ gcloud compute snapshots describe example-snapshot \
        --format='default(labels)'

POSITIONAL ARGUMENTS

    SNAPSHOT_NAME
        The name of the snapshot to update.

FLAGS

    --remove-labels=[KEY,...]
        A list of label keys to remove. If a label does not exist it is silently ignored.

    --update-labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to update. If a label exists its value is modified, otherwise a new label is created.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.